# Uses of Interface
net.sourceforge.jiu.data.BilevelImage

Packages that use BilevelImage
Package
Description
net.sourceforge.jiu.codecs
net.sourceforge.jiu.color.dithering
net.sourceforge.jiu.color.promotion
net.sourceforge.jiu.color.reduction
net.sourceforge.jiu.data
net.sourceforge.jiu.gui.awt

## Uses of BilevelImage in net.sourceforge.jiu.codecs

Methods in net.sourceforge.jiu.codecs with parameters of type BilevelImage
Modifier and Type
Method
Description
`private void`
PalmCodec.`save(DataOutput out, BilevelImage image)`
`private void`
PNMCodec.`save(BilevelImage image)`

## Uses of BilevelImage in net.sourceforge.jiu.color.dithering

Methods in net.sourceforge.jiu.color.dithering with parameters of type BilevelImage
Modifier and Type
Method
Description
`private void`
ClusteredDotDither.`process(GrayIntegerImage in, BilevelImage out)`
`private void`
ErrorDiffusionDithering.`process(Gray8Image in, BilevelImage out)`
`private void`
OrderedDither.`process(Gray8Image in, BilevelImage out)`

## Uses of BilevelImage in net.sourceforge.jiu.color.promotion

Methods in net.sourceforge.jiu.color.promotion with parameters of type BilevelImage
Modifier and Type
Method
Description
`private void`
PromotionGray16.`process(BilevelImage in, Gray16Image out)`
`private void`
PromotionGray8.`process(BilevelImage in, Gray8Image out)`
`private void`
PromotionPaletted8.`process(BilevelImage in, Paletted8Image out)`
`private void`
PromotionRGB24.`process(BilevelImage in, RGB24Image out)`
`private void`
PromotionRGB48.`process(BilevelImage in, RGB48Image out)`

## Uses of BilevelImage in net.sourceforge.jiu.color.reduction

Methods in net.sourceforge.jiu.color.reduction with parameters of type BilevelImage
Modifier and Type
Method
Description
`private void`
ReduceShadesOfGray.`process(GrayIntegerImage in, int MASK, BilevelImage out)`
`private void`
ReduceToBilevelThreshold.`process(GrayIntegerImage in, BilevelImage out)`

## Uses of BilevelImage in net.sourceforge.jiu.data

Classes in net.sourceforge.jiu.data that implement BilevelImage
Modifier and Type
Class
Description
`class`
`MemoryBilevelImage`
An implementation of the `BilevelImage` interface that stores image data in a `byte` array in memory.

## Uses of BilevelImage in net.sourceforge.jiu.gui.awt

Methods in net.sourceforge.jiu.gui.awt with parameters of type BilevelImage
Modifier and Type
Method
Description
`static Image`
ImageCreator.`convertToAwtImage(BilevelImage image, int alpha)`
Convert a BilevelImage object to an AWT image object.